Void

This Endpoint Allows for the voiding of multiple entitlements.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🔐

Authentication

✔️ Application API Scope

Side-effects:

  1. Entitlement live updated to false
  2. Entitlement expiration updated to time of execution
  3. Entitlement grace_period updated to 0
  4. EntitlementTransaction created
  5. New “entitlement.entitlements_voided” event is triggered upon successful modification

Response Body Definitions

Entitlement Object

NameTypeDescriptionExample
merchantstringMerchant ID"ac4f7938383a11e89ecbbc764e1107f2"
public_idstringEntitlement ID"c4cd7f86ccc411e8ada3bc764e101db1"
merchant_user_idstringCustomer ID"11100-C01"
initial_activation_datestringInitial activation date (UTC)"2017-02-29T12:00:00.00Z"
latest_activation_datestringLatest activation date (UTC)"2017-02-29T12:00:00.00Z"
grace_periodstringGrace period in seconds86400
liveboolWhether the resource associated with this entitlement is accessible (considers grace_period)false
access_typestringEntitlement access type (enum)"time_based"
expirationstringEntitlement access expiration date (UTC)"2017-02-29T12:00:00.00Z"
createdstringDate of resource creation (UTC)"2017-02-29T12:00:00.00Z"
last_updatedstringDate of last resource update (UTC)"2017-02-29T12:00:00.00Z"
resourceobjectResource information (see Resource Object below){"name": "sample resource", ... }
granteesarrayList of grantees associated to the entitlement. null if there are none.[
{
"external_id": "grantee-001",
"name": "Grantee Name",
"created": "2017-02-29T12:00:00.00Z",
"updated": "2017-02-29T12:00:00.00Z"
},
...
]

Resource Object

NameTypeDescriptionExample
merchantstringMerchant ID"ac4f7938383a11e89ecbbc764e1107f2"
public_idstringResource ID"c4cd7f86ccc411e8ada3bc764e101db1"
namestringResource name"4k Resolution Movies"
external_resource_idstringMerchant resource ID"id1234"
descriptionstringResource description"Unlocks streaming of movies in 4K resolution"
image_urlstringResource image URL"ordergroove.com/resource/resource_id.png"
createdstringDate of resource creation (UTC)"2017-02-29T12:00:00.00Z"
last_updatedstringDate of last resource update (UTC)"2017-02-29T12:00:00.00Z"

Grantee Object

NameTypeDescriptionExample
external_idstringMerchant ID"grantee-001"
namestringResource ID"Grantee Name"
createddatetime stringDatetime of creation"2020-12-31 23:28:48"
updateddatetime stringDatetime of last update"2020-12-31 23:28:48"

Entitlement Transaction Object

NameTypeDescriptionExample
transaction_typestringThe type of transaction this is"entitlement_voided"
public_idstringID of transaction"71a591cb40be4985ab9ce2746329c865"
entitlement_public_idstringID of entitlement transaction was on"6bba77e50a244f818f32f17e2da5aed8"
merchant_user_iddatetime stringDatetime of last update"23773486874988"
resource_public_idstringID of resource"450a64bf72024d99998f6c7541fefa42"
merchant_public_idstringID of merchant"80c9a167fb434fa0abe215c7f19a86cc"
transaction_initiation_timedatetime stringtime when transaction was set up"2026-03-11T18:51:45.520224856Z"
transaction_execution_timedatetime stringtime when transaction was executed"2026-03-11T18:51:45.520224856Z"
source_actionstringaction that triggered the transaction"api-call"
source_objectstringsource object that triggered transaction"user"
source_object_idstringid of source object"dd0756ea-f502-4292-931e-b48f26677ef9_2026-03-11T18:51:45.520224856Z"
access_typestringentitlement access typetime-based
grace_periodintegertime in seconds of entitlement grace period0
expirationdatetime stringdatetime of expiration"2028-03-01T23:59:59Z"
grace_period_expirationdatetime stringdatetime of expiration with grace period in account"2028-03-01T23:59:59Z"

Body Params
entitlement_public_ids
array of strings
required

List of entitlement public_ids to void

entitlement_public_ids*
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json